Index: tmp/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,14 +4,29 @@
 Bundle-SymbolicName: org.txm.statsengine.r.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.lexicaltable.core;bundle-version="1.0.0",
+Require-Bundle: org.eclipse.ui;bundle-version="3.106.1",
+ org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.jface.text;bundle-version="3.9.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.eclipse.ui.console;bundle-version="3.5.300",
+ org.eclipse.ui.ide;bundle-version="3.10.2",
+ org.txm.index.core;bundle-version="1.0.0",
+ org.txm.concordance.core;bundle-version="1.0.0",
+ org.txm.lexicaltable.core;bundle-version="1.0.0",
+ org.txm.ca.core;bundle-version="1.0.0",
+ org.txm.lexicon.core;bundle-version="1.0.0",
+ org.txm.specificities.core;bundle-version="1.0.0",
+ org.txm.progression.core;bundle-version="1.0.0",
+ org.txm.cah.core;bundle-version="1.0.0",
+ org.txm.cooccurrence.core;bundle-version="1.0.0",
+ org.txm.searchengine.core;bundle-version="1.0.0",
+ org.txm.referencer.core;bundle-version="1.0.0",
  org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.statsengine.core;bundle-version="1.0.0",
  org.txm.core;bundle-version="0.7.0",
- org.eclipse.core.runtime;bundle-version="3.10.0",
- org.eclipse.ui;bundle-version="3.106.1",
- org.txm.rcp;bundle-version="0.7.8",
- org.txm.searchengine.core;bundle-version="1.0.0",
- org.txm.searchengine.cqp.core;bundle-version="1.1.0"
+ org.txm.rcp;bundle-version="0.7.8"
 Export-Package: org.txm.statsengine.r.rcp.handlers,
  org.txm.statsengine.r.rcp.messages,
  org.txm.statsengine.r.rcp.perspectives,
Index: tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,14 +4,16 @@
 Bundle-SymbolicName: org.txm.chartsengine.jfreechart.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.core;bundle-version="0.7.0",
+Require-Bundle: org.eclipse.core.expressions;bundle-version="3.4.600",
+ org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.eclipse.ui;bundle-version="3.106.1",
+ org.txm.ca.core;bundle-version="1.0.0",
+ org.txm.core;bundle-version="0.7.0",
  org.txm.libs.jfreechart,
  org.txm.chartsengine.core,
- org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
- org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.rcp;bundle-version="0.7.8",
- org.eclipse.core.runtime;bundle-version="3.10.0",
- org.eclipse.core.expressions;bundle-version="3.4.600"
+ org.txm.chartsengine.rcp;bundle-version="1.0.0",
+ org.txm.rcp;bundle-version="0.7.8"
 Export-Package: org.txm.chartsengine.jfreechart.rcp,
  org.txm.chartsengine.jfreechart.rcp.events,
  org.txm.chartsengine.jfreechart.rcp.preferences,
Index: tmp/org.txm.ca.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.ca.core/META-INF/MANIFEST.MF	(revision 452)
@@ -4,13 +4,14 @@
 Bundle-SymbolicName: org.txm.ca.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.statsengine.core;bundle-version="1.0.0",
+Require-Bundle: org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.statsengine.core;bundle-version="1.0.0",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.utils;bundle-version="1.0.0",
  org.txm.core;bundle-version="0.7.0",
- org.eclipse.core.runtime;bundle-version="3.10.0",
  org.txm.chartsengine.r.core;bundle-version="1.0.0",
  org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
  org.txm.lexicaltable.core,
- org.txm.statsengine.r.core;bundle-version="1.0.0",
  org.txm.searchengine.core;bundle-version="1.0.0",
  org.txm.searchengine.cqp.core;bundle-version="1.1.0"
 Export-Package: org.txm.ca.core.chartsengine.base,
Index: tmp/org.txm.para.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.para.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.para.core/META-INF/MANIFEST.MF	(revision 452)
@@ -4,10 +4,13 @@
 Bundle-SymbolicName: org.txm.para.core
 Bundle-Version: 1.0.0.qualifier
 Bundle-Activator: org.txm.para.core.Activator
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+Require-Bundle: org.txm.libs.groovy-all;bundle-version="2.3.3",
+ org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
  org.txm.core;bundle-version="0.7.0",
  org.eclipse.ui,
- org.eclipse.core.runtime,
  org.txm.searchengine.core;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
Index: tmp/org.txm.statsengine.r.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.r.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.statsengine.r.core/META-INF/MANIFEST.MF	(revision 452)
@@ -3,12 +3,13 @@
 Bundle-Name: R Statistics Engine Core
 Bundle-SymbolicName: org.txm.statsengine.r.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.eclipse.osgi,
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi,
+ org.eclipse.core.runtime,
+ org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexport,
  org.txm.libs.colt;bundle-version="1.0.0";visibility:=reexport,
  org.txm.libs.rserve;bundle-version="0.0.0";visibility:=reexport,
- org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.core;bundle-version="0.7.0",
- org.eclipse.core.runtime
+ org.txm.core;bundle-version="0.7.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Export-Package: org.txm.statsengine.r.core,
  org.txm.statsengine.r.core.data,
Index: tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/handlers/ComputeCAH.java
===================================================================
--- tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/handlers/ComputeCAH.java	(revision 451)
+++ tmp/org.txm.cah.rcp/src/org/txm/cah/rcp/handlers/ComputeCAH.java	(revision 452)
@@ -30,7 +30,6 @@
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.jface.dialogs.Dialog;
-import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.jface.window.Window;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.layout.GridLayout;
@@ -41,7 +40,6 @@
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.swt.widgets.Spinner;
-import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.ca.core.functions.CA;
 import org.txm.ca.core.preferences.CAPreferences;
 import org.txm.cah.core.functions.CAH;
@@ -56,7 +54,6 @@
 import org.txm.lexicaltable.core.functions.LexicalTableFactory;
 import org.txm.lexicaltable.rcp.editors.LexicalTableDialog;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.searchengine.cqp.corpus.Property;
Index: tmp/org.txm.cah.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cah.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.cah.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -9,16 +9,20 @@
  org.txm.cah.rcp.handlers,
  org.txm.cah.rcp.messages,
  org.txm.cah.rcp.preferences
-Require-Bundle: org.txm.lexicaltable.core;bundle-version="1.0.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi,
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.eclipse.ui;bundle-version="3.106.1",
+ org.txm.statsengine.r.rcp;bundle-version="1.0.0",
+ org.txm.lexicaltable.rcp;bundle-version="1.0.0",
+ org.txm.statsengine.core;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.ca.core,
+ org.txm.lexicaltable.core;bundle-version="1.0.0",
  org.txm.cah.core;bundle-version="1.0.0",
  org.txm.chartsengine.rcp;bundle-version="1.0.0",
  org.txm.core;bundle-version="0.7.0",
  org.txm.rcp;bundle-version="0.7.8",
- org.eclipse.ui;bundle-version="3.106.1",
- org.eclipse.core.runtime;bundle-version="3.10.0",
- org.txm.ca.core,
- org.txm.lexicaltable.rcp;bundle-version="1.0.0",
  org.eclipse.core.expressions;bundle-version="3.4.600",
- org.txm.searchengine.core;bundle-version="1.0.0",
- org.txm.searchengine.cqp.core;bundle-version="1.1.0"
+ org.txm.searchengine.core;bundle-version="1.0.0"
 Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.lexicaltable.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.lexicaltable.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.lexicaltable.core/META-INF/MANIFEST.MF	(revision 452)
@@ -3,12 +3,15 @@
 Bundle-Name: Lexical Table Core
 Bundle-SymbolicName: org.txm.lexicaltable.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
-Require-Bundle: org.txm.statsengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.core;bundle-version="0.7.0";visibility:=reexport,
- org.eclipse.core.runtime;visibility:=reexport,
- org.txm.index.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.lexicon.core;bundle-version="1.0.0";visibility:=reexport
+Require-Bundle: org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.utils;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.statsengine.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.core;bundle-version="0.7.0",
+ org.txm.index.core;bundle-version="1.0.0",
+ org.txm.lexicon.core;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.functions.intertextualdistance,
Index: tmp/org.txm.lexicaltable.core/src/org/txm/functions/intertextualdistance/InterTextDistance.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/functions/intertextualdistance/InterTextDistance.java	(revision 451)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/functions/intertextualdistance/InterTextDistance.java	(revision 452)
@@ -13,6 +13,7 @@
 import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
 import org.txm.statsengine.core.StatException;
 import org.txm.statsengine.r.core.RWorkspace;
+import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
 
 public class InterTextDistance extends TXMCommand {
 	
@@ -22,29 +23,42 @@
 	public InterTextDistance(ILexicalTable table) {
 		this.table = table;
 	}
-	public boolean compute() throws CqiClientException, InvalidCqpIdException, REXPMismatchException, StatException {
-//		Corpus corpus = CorpusManager.getCorpusManager().getCorpus("VOEUX");
-//		String method = "euclidean"; // "euclidean"’, ‘"maximum"’, ‘"manhattan"’, ‘"canberra"’, ‘"binary"’ or ‘"minkowski"’
-//
-//		StructuralUnit text_su = corpus.getStructuralUnit("text");
-//		StructuralUnitProperty text_prop = text_su.getProperty("loc");
-//		Partition textes = corpus.createPartition(text_su, text_prop);
-//
-//		Property prop = corpus.getProperty("word") ;
-		//LexicalTable table = textes.getLexicalTable(prop, 2);
-
-		System.out.println(table.getSymbol()); // LexicalTable41
-
-		RWorkspace r = RWorkspace.getRWorkspaceInstance() ;	// get the R connection
-		REXP rresult = r.eval("as.matrix(dist(t("+table.getSymbol()+"), method=\"euclidian\"))"); //$NON-NLS-1$ //$NON-NLS-2$
-		double[][] result = rresult.asDoubleMatrix();
-		
-		for (int i = 0 ; i < result.length ; i++) {
-			for (int j = 0; j < result[i].length ; j++) {
-				System.out.print(" "+result[i][j]); //$NON-NLS-1$
+	
+	
+	@Override
+	public boolean compute() {
+try {
+	//		Corpus corpus = CorpusManager.getCorpusManager().getCorpus("VOEUX");
+	//		String method = "euclidean"; // "euclidean"’, ‘"maximum"’, ‘"manhattan"’, ‘"canberra"’, ‘"binary"’ or ‘"minkowski"’
+	//
+	//		StructuralUnit text_su = corpus.getStructuralUnit("text");
+	//		StructuralUnitProperty text_prop = text_su.getProperty("loc");
+	//		Partition textes = corpus.createPartition(text_su, text_prop);
+	//
+	//		Property prop = corpus.getProperty("word") ;
+			//LexicalTable table = textes.getLexicalTable(prop, 2);
+	
+			System.out.println(table.getSymbol()); // LexicalTable41
+	
+			RWorkspace r = RWorkspace.getRWorkspaceInstance() ;	// get the R connection
+			REXP rresult = r.eval("as.matrix(dist(t("+table.getSymbol()+"), method=\"euclidian\"))"); //$NON-NLS-1$ //$NON-NLS-2$
+			double[][] result = rresult.asDoubleMatrix();
+			
+			for (int i = 0 ; i < result.length ; i++) {
+				for (int j = 0; j < result[i].length ; j++) {
+					System.out.print(" "+result[i][j]); //$NON-NLS-1$
+				}
+				System.out.println();
 			}
-			System.out.println();
-		}
+}
+catch(RWorkspaceException e) {
+	// TODO Auto-generated catch block
+	e.printStackTrace();
+}
+catch(REXPMismatchException e) {
+	// TODO Auto-generated catch block
+	e.printStackTrace();
+}
 		return true;
 	}
 	
Index: tmp/org.txm.lexicon.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.lexicon.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.lexicon.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,14 +4,15 @@
 Bundle-SymbolicName: org.txm.lexicon.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.core;bundle-version="0.7.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.txm.core;bundle-version="0.7.0",
+ org.eclipse.ui;bundle-version="3.106.1",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
  org.txm.lexicon.core;bundle-version="1.0.0",
  org.txm.index.core;bundle-version="1.0.0",
  org.txm.index.rcp;bundle-version="1.0.0",
- org.eclipse.jface,
  org.txm.rcp;bundle-version="0.7.8",
- org.eclipse.ui;bundle-version="3.106.1",
- org.eclipse.core.runtime;bundle-version="3.10.0",
  org.eclipse.core.expressions;bundle-version="3.4.600"
 Export-Package: org.txm.lexicon.rcp.adapters,
  org.txm.lexicon.rcp.editors,
Index: tmp/org.txm.rcp/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- tmp/org.txm.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 451)
+++ tmp/org.txm.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 452)
@@ -1,7 +1,12 @@
 eclipse.preferences.version=1
 org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.methodParameters=do not generate
 org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
 org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.debug.lineNumber=generate
+org.eclipse.jdt.core.compiler.debug.localVariable=generate
+org.eclipse.jdt.core.compiler.debug.sourceFile=generate
 org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
 org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
 org.eclipse.jdt.core.compiler.source=1.6
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/TXMResultContentProvider.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/TXMResultContentProvider.java	(revision 451)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/TXMResultContentProvider.java	(revision 452)
@@ -37,7 +37,7 @@
 import org.eclipse.jface.viewers.ITreeContentProvider;
 import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.ui.model.IWorkbenchAdapter;
-import org.txm.core.results.ITXMResult;
+import org.txm.core.results.TXMResult;
 import org.txm.objects.Base;
 import org.txm.objects.Project;
 import org.txm.searchengine.cqp.corpus.Corpus;
@@ -102,7 +102,7 @@
 			Project p = (Project) element;
 			
 			for (Base b : p.getBases()) {
-				for (ITXMResult o : b.getResults(MainCorpus.class)) {
+				for (TXMResult o : b.getResults(MainCorpus.class)) {
 					elements.add((MainCorpus)o);
 				}
 			}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/IndexToCooccurrence.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/IndexToCooccurrence.java	(revision 451)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/link/IndexToCooccurrence.java	(revision 452)
@@ -51,6 +51,7 @@
  * use the lines of a index to compute a concordance 
  * @author mdecorde.
  */
+// FIXME: should call the ComputeCooccurrence command with some parameters
 public class IndexToCooccurrence extends AbstractHandler {
 
 	/* (non-Javadoc)
Index: tmp/org.txm.wordcloud.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.wordcloud.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.wordcloud.core/META-INF/MANIFEST.MF	(revision 452)
@@ -4,11 +4,15 @@
 Bundle-SymbolicName: org.txm.wordcloud.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.statsengine.r.core;bundle-version="1.0.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
+ org.txm.chartsengine.core;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.statsengine.core;bundle-version="1.0.0",
+ org.txm.chartsengine.r.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.core;bundle-version="1.0.0",
  org.eclipse.core.runtime;bundle-version="3.10.0",
  org.txm.core;bundle-version="0.7.0",
- org.txm.chartsengine.jfreechart.core;bundle-version="1.0.0",
- org.txm.chartsengine.r.core;bundle-version="1.0.0",
  org.txm.index.core;bundle-version="1.0.0",
  org.txm.lexicon.core
 Export-Package: org.txm.wordcloud.core.chartsengine.jfreechart,
Index: tmp/org.txm.chartsengine.raster.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.raster.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.chartsengine.raster.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,8 +4,11 @@
 Bundle-SymbolicName: org.txm.chartsengine.raster.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.core,
- org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.ui;bundle-version="3.106.1",
+ org.txm.core,
+ org.txm.chartsengine.core;bundle-version="1.0.0",
+ org.txm.chartsengine.rcp;bundle-version="1.0.0",
  org.txm.rcp;bundle-version="0.7.8"
 Bundle-Vendor: Textometrie.org
 Export-Package: org.txm.chartsengine.raster.rcp,
Index: tmp/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.cooccurrence.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -9,13 +9,16 @@
  org.txm.cooccurrence.rcp.handlers,
  org.txm.cooccurrence.rcp.messages,
  org.txm.cooccurrence.rcp.preferences
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+Require-Bundle: org.txm.utils,
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
  org.txm.cooccurrence.core;bundle-version="1.0.0",
  org.txm.concordance.core;bundle-version="1.0.0",
+ org.txm.statsengine.r.rcp;bundle-version="1.0.0",
  org.eclipse.ui;bundle-version="3.106.1",
  org.txm.core,
  org.txm.rcp,
- org.eclipse.core.runtime;bundle-version="3.10.0",
  org.eclipse.core.expressions;bundle-version="3.4.600",
  org.txm.searchengine.core;bundle-version="1.0.0"
 Bundle-Vendor: Textometrie.org
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 451)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/editors/CooccurrencesEditor.java	(revision 452)
@@ -175,44 +175,10 @@
 	/** The query. */
 	private Query query;
 	
-	/** The properties. */
-//	private List<Property> properties;
-//	
-//	/** The structure. */
-//	private StructuralUnit structure;
-//	
-//	/** The leftmin. */
-//	private int leftmin;
-//	
-//	/** The leftmax. */
-//	private int leftmax;
-//	
-//	/** The rightmin. */
-//	private int rightmin;
-//	
-//	/** The rightmax. */
-//	private int rightmax;
-//	
-//	/** The minfreq. */
-//	private int minfreq;
-//	
-//	/** The mincount. */
-//	private int mincount;
-//	
-//	/** The minscore. */
-//	private double minscore;
 
 	/** The scroll composite. */
 	private ScrolledComposite scrollComposite;
 
-	/** The include xpivot. */
-//	private boolean includeXpivot;
-	
-	private boolean buildLexicalTableWithCooccurrents;
-
-	/** The source. */
-//	private Object source;
-
 	/**
 	 * Instantiates a new cooccurrences editor.
 	 */
@@ -233,21 +199,9 @@
 	@Override
 	public void init(IEditorSite site, IEditorInput input) throws PartInitException {
 		super.init(site, input);
-		
 
-//		if (((TXMResultEditorInput) input).getResult() != null)
-//		{
-			this.cooc = (Cooccurrence) ((TXMResultEditorInput) input).getResult();
-			this.corpus = cooc.getCorpus();
-			//this.query = cooc.getQuery();
-			//FIXME: deprecated
-			//setPartName(cooc.getCorpus().getName()+": "+cooc.getName()); //$NON-NLS-1$
-//		}
-//		else	{
-//			this.corpus = (Corpus) ((TXMResultEditorInput) input).getSource();
-//			this.query = new Query("");
-//		}
-		
+		this.cooc = (Cooccurrence) ((TXMResultEditorInput) input).getResult();
+		this.corpus = cooc.getCorpus();
 	}
 
 	/**
@@ -259,6 +213,7 @@
 	@Override
 	public void createPartControl(final Composite parent) {
 		
+		// FIXME: to do
 		//super.createPartControl(parent);
 		
 		FormLayout parentLayout = new FormLayout();
@@ -632,7 +587,7 @@
 		parameters.put(CooccurrencePreferences.MIN_FREQ, this.TFreq.getSelection());
 		parameters.put(CooccurrencePreferences.MIN_COUNT, this.TCount.getSelection());
 		parameters.put(CooccurrencePreferences.INCLUDE_X_PIVOT, this.empantPanel.getXPivot());
-		parameters.put(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE, TXMPreferences.getBoolean(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE, CooccurrencePreferences.PREFERENCES_NODE));
+		parameters.put(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE,this.getBooleanParameterValue(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE));
 		
 		
 		Double minScore = 0.0;
@@ -667,6 +622,9 @@
 			}
 		}
 		
+		// FIXME: method using TXMCommandParameters
+		final TXMParameters parameters = this.getWidgetsParameters();
+		
 		JobHandler jobhandler = new JobHandler(NLS.bind(CooccurrenceUIMessages.CooccurrencesEditor_12, corpus)) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -690,43 +648,32 @@
 					//monitor.worked(5);
 					
 					// FIXME: method using TXMCommandParameters
-					//cooc.compute(this, getWidgetsParameters());
+					cooc.compute(this, parameters);
 					
-					
 					// FIXME: method without using TXMCommandParameters
-					Double minScore = 0.0;
-					try {
-						Double d = Double.parseDouble(TScore.getText());
-						minScore = d;
-					}
-					catch (Exception e) {
-						System.out.println(NLS.bind(CooccurrenceUIMessages.CooccurrencesEditor_18, TScore.getText()));
-					}
-					cooc.compute(this,
-							new Query(
-									queryWidget.getQueryString()),
-									propsArea.getProperties(),
-									null,
-									empantPanel.getMinLeft() + 1,
-									empantPanel.getMaxLeft() + 1,
-									empantPanel.getMinRight() + 1,
-									empantPanel.getMaxRight() + 1,
-									TFreq.getSelection(),
-									minScore,
-									TCount.getSelection(),
-									empantPanel.getXPivot(),
-									TXMPreferences.getBoolean(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE, CooccurrencePreferences.PREFERENCES_NODE)
-									);
+//					cooc.compute(this,
+//							new Query(
+//									queryWidget.getQueryString()),
+//									propsArea.getProperties(),
+//									null,
+//									empantPanel.getMinLeft() + 1,
+//									empantPanel.getMaxLeft() + 1,
+//									empantPanel.getMinRight() + 1,
+//									empantPanel.getMaxRight() + 1,
+//									TFreq.getSelection(),
+//									minScore,
+//									TCount.getSelection(),
+//									empantPanel.getXPivot(),
+//									getBooleanParameterValue(CooccurrencePreferences.PARTIAL_LEXICAL_TABLE)
+//									);
 					
 					
 					//FIXME: DEbug
 //					parameters.dump();
 //					TXMPreferences.dump(CooccurrencePreferences.PREFERENCES_NODE, cooc);
 					
-					//getEditorInput().setResult(cooc);
 					
 					
-					
 					// FIXME: this code should be move in Cooccurrence.getDetails() or getName(), etc?
 					final String message;
 					if (cooc.getLines().size() == 0) {
@@ -785,7 +732,7 @@
 					return Status.CANCEL_STATUS;
 
 				monitor.subTask(CooccurrenceUIMessages.CooccurrencesEditor_15);
-				syncExec(new Runnable() {
+				this.syncExec(new Runnable() {
 					@Override
 					public void run() {
 						viewer.setInput(cooc.getLines());
@@ -800,6 +747,7 @@
 
 						refresh();
 						
+						//FIXME: need to be done in another way with after the plugin split
 						QueriesView.refresh();
 						RVariablesView.refresh();
 						
@@ -820,30 +768,6 @@
 	 * Updates the parameters area from values from parameters, local result node or preferences.
 	 */
 	private void fillCommandParametersArea() {
-		// from result
-		//FIXME: to remove
-//		if (this.cooc != null) {
-//			this.queryWidget.setText(cooc.getQuery().getQueryString());
-//			List<Property> available;
-//			try {
-//				available = new ArrayList<Property>(this.cooc.getCorpus().getProperties());
-//				available.removeAll(cooc.getProperties());
-//				this.propsArea.setProperties(available, cooc.getProperties());
-//			} catch (CqiClientException e) {
-//				// TODO Auto-generated catch block
-//				org.txm.rcp.utils.Logger.printStackTrace(e);
-//			}
-//			this.empantPanel.setStructure(cooc.getStructure());
-//			this.empantPanel.setMinLeft(cooc.getMinLeft()-1);
-//			this.empantPanel.setMaxLeft(cooc.getMaxLeft()-1);
-//			this.empantPanel.setMinRight(cooc.getMinRight()-1);
-//			this.empantPanel.setMaxRight(cooc.getMaxRight()-1);
-//
-//		}
-		//FIXME: look for parameters or preferences in following order: command parameters, local result node, default preferences, alternate preferences nodes
-//		else	{
-		
-		
 		queryWidget.setText(this.getStringParameterValue(CooccurrencePreferences.QUERY));
 		
 		if (this.cooc.getProperties() != null) {
@@ -858,7 +782,6 @@
 				org.txm.rcp.utils.Logger.printStackTrace(e);
 			}
 		}
-
 		
 		TFreq.setSelection(this.getIntParameterValue(CooccurrencePreferences.MIN_FREQ));
 		TCount.setSelection(this.getIntParameterValue(CooccurrencePreferences.MIN_COUNT));
@@ -869,8 +792,6 @@
 		empantPanel.setMaxLeft(this.getIntParameterValue(CooccurrencePreferences.MAX_LEFT));
 		empantPanel.setMinRight(this.getIntParameterValue(CooccurrencePreferences.MIN_RIGHT));
 		empantPanel.setMaxRight(this.getIntParameterValue(CooccurrencePreferences.MAX_RIGHT));
-			
-//		}
 	}
 
 
Index: tmp/org.txm.chartsengine.r.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.r.core/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.chartsengine.r.core/META-INF/MANIFEST.MF	(revision 452)
@@ -4,10 +4,10 @@
 Bundle-SymbolicName: org.txm.chartsengine.r.core;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Require-Bundle: org.txm.statsengine.r.core;bundle-version="1.0.0",
+ org.txm.utils;bundle-version="1.0.0",
  org.eclipse.core.runtime,
  org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
- org.txm.core,
- org.txm.utils;bundle-version="1.0.0"
+ org.txm.core
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.chartsengine.r.core,
Index: tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.ca.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,18 +4,19 @@
 Bundle-SymbolicName: org.txm.ca.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.txm.lexicaltable.core;bundle-version="1.0.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.eclipse.ui;bundle-version="3.106.1",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.lexicaltable.core;bundle-version="1.0.0",
  org.txm.lexicaltable.rcp;bundle-version="1.0.0",
  org.txm.ca.core;bundle-version="1.0.0",
  org.txm.chartsengine.rcp,
  org.txm.core;bundle-version="0.7.0",
  org.txm.rcp,
- org.eclipse.ui;bundle-version="3.106.1",
- org.eclipse.core.runtime;bundle-version="3.10.0",
  org.eclipse.core.expressions;bundle-version="3.4.600",
- org.txm.statsengine.core;bundle-version="1.0.0",
- org.txm.statsengine.r.core;bundle-version="1.0.0",
- org.txm.statsengine.r.rcp;bundle-version="1.0.0"
+ org.txm.statsengine.core;bundle-version="1.0.0"
 Export-Package: org.txm.ca.rcp.adapters,
  org.txm.ca.rcp.chartsengine.events,
  org.txm.ca.rcp.editors,
Index: tmp/org.txm.para.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.para.rcp/META-INF/MANIFEST.MF	(revision 451)
+++ tmp/org.txm.para.rcp/META-INF/MANIFEST.MF	(revision 452)
@@ -4,13 +4,15 @@
 Bundle-SymbolicName: org.txm.para.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Activator: org.txm.para.rcp.Activator
-Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.eclipse.core.runtime;bundle-version="3.10.0",
+ org.eclipse.osgi;bundle-version="3.10.2",
+ org.eclipse.ui,
+ org.txm.concordance.rcp,
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
  org.txm.rcp;bundle-version="0.7.8",
  org.txm.core;bundle-version="0.7.0",
- org.eclipse.ui,
- org.eclipse.core.runtime,
  org.txm.para.core,
- org.txm.concordance.rcp,
  org.txm.searchengine.core;bundle-version="1.0.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
